# Interface Registration.Dynamic

All Superinterfaces:
  `Registration`

All Known Subinterfaces:
  `FilterRegistration.Dynamic, ServletRegistration.Dynamic`

Enclosing interface:
  `Registration`

public static interface Registration.Dynamic extends Registration
Interface through which a Servlet or Filter registered via one of the addServlet or addFilter methods, respectively, on ServletContext may be further configured.

Since:
  Servlet 3.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Registration

  `Registration.Dynamic`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAsyncSupported(boolean isAsyncSupported)`
  Mark this Servlet/Filter as supported asynchronous processing.

  ### Methods inherited from interface Registration

  `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- ## Method Details

  - ### setAsyncSupported

    void setAsyncSupported(boolean isAsyncSupported)
    Mark this Servlet/Filter as supported asynchronous processing.
    Parameters:
      `isAsyncSupported` - Should this Servlet/Filter support asynchronous processing
    Throws:
      `IllegalStateException` - if the ServletContext associated with this registration has already been initialised